Bug 99089 - CAN-2003-0459 Konqueror information leak via referer header
Summary: CAN-2003-0459 Konqueror information leak via referer header
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kdelibs (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL: http://www.kde.org/info/security/advi...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-14 13:23 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 20:48:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:236 high SHIPPED_LIVE Moderate: kdelibs security update 2003-07-30 04:00:00 UTC

Description Mark J. Cox 2003-07-14 13:23:34 UTC
George Staikos reported that Konqueror may inadvertently send
authentication credentials to websites other than the intended website in
clear text via the HTTP-referer header when authentication credentials are
passed as part of a URL in the form of http://user:password@host/

We are fixing this with a backported security patch in RHSA-2003:236

Embargoed until July 21st 2003.

Comment 1 Mark J. Cox 2003-07-29 11:21:06 UTC
Issue was delayed, now public:

http://www.kde.org/info/security/advisory-20030729-1.txt

Errata RHSA-2003:236 in progress

Comment 2 Mark J. Cox 2003-07-30 20:48:05 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-236.html



Note You need to log in before you can comment on or make changes to this bug.